Index: serefpolicy-contrib-20140730/shorewall.if
===================================================================
--- serefpolicy-contrib-20140730.orig/shorewall.if
+++ serefpolicy-contrib-20140730/shorewall.if
@@ -1,4 +1,4 @@
-## <summary>Shoreline Firewall high-level tool for configuring netfilter.</summary>
+## <summary>Shoreline Firewall high-level tool for configuring netfilter</summary>
 
 ########################################
 ## <summary>
@@ -15,7 +15,6 @@ interface(`shorewall_domtrans',`
 		type shorewall_t, shorewall_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, shorewall_exec_t, shorewall_t)
 ')
 
@@ -34,13 +33,12 @@ interface(`shorewall_lib_domtrans',`
 		type shorewall_t, shorewall_var_lib_t;
 	')
 
-	files_search_var_lib($1)
 	domtrans_pattern($1, shorewall_var_lib_t, shorewall_t)
 ')
 
 #######################################
 ## <summary>
-##	Read shorewall configuration files.
+##	Read shorewall etc configuration files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -57,47 +55,9 @@ interface(`shorewall_read_config',`
 	read_files_pattern($1, shorewall_etc_t, shorewall_etc_t)
 ')
 
-#######################################
-## <summary>
-##	Read shorewall pid files.
-## </summary>
-## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-#
-interface(`shorewall_read_pid_files',`
-	gen_require(`
-		type shorewall_var_run_t;
-	')
-
-	files_search_pids($1)
-	read_files_pattern($1, shorewall_var_run_t, shorewall_var_run_t)
-')
-
-#######################################
-## <summary>
-##	Read and write shorewall pid files.
-## </summary>
-## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-#
-interface(`shorewall_rw_pid_files',`
-	gen_require(`
-		type shorewall_var_run_t;
-	')
-
-	files_search_pids($1)
-	rw_files_pattern($1, shorewall_var_run_t, shorewall_var_run_t)
-')
-
 ######################################
 ## <summary>
-##	Read shorewall lib files.
+##      Read shorewall /var/lib files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -106,36 +66,38 @@ interface(`shorewall_rw_pid_files',`
 ## </param>
 #
 interface(`shorewall_read_lib_files',`
-	gen_require(`
+        gen_require(`
 		type shorewall_var_lib_t;
-	')
+       ')
 
-	files_search_var_lib($1)
-	read_files_pattern($1, shorewall_var_lib_t, shorewall_var_lib_t)
+        files_search_var_lib($1)
+        search_dirs_pattern($1, shorewall_var_lib_t, shorewall_var_lib_t)
+        read_files_pattern($1, shorewall_var_lib_t, shorewall_var_lib_t)
 ')
 
 #######################################
 ## <summary>
-##	Read and write shorewall lib files.
+##      Read and write shorewall /var/lib files.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
+##      <summary>
+##      Domain allowed access.
+##      </summary>
 ## </param>
 #
 interface(`shorewall_rw_lib_files',`
-	gen_require(`
-		type shorewall_var_lib_t;
-	')
+        gen_require(`
+                type shorewall_var_lib_t;
+       ')
 
-	files_search_var_lib($1)
-	rw_files_pattern($1, shorewall_var_lib_t, shorewall_var_lib_t)
+        files_search_var_lib($1)
+        search_dirs_pattern($1, shorewall_var_lib_t, shorewall_var_lib_t)
+        rw_files_pattern($1, shorewall_var_lib_t, shorewall_var_lib_t)
 ')
 
 #######################################
 ## <summary>
-##	Read shorewall temporary files.
+##	Read shorewall tmp files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -154,8 +116,8 @@ interface(`shorewall_read_tmp_files',`
 
 #######################################
 ## <summary>
-##	All of the rules required to
-##	administrate an shorewall environment.
+##	All of the rules required to administrate
+##	an shorewall environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -164,28 +126,30 @@ interface(`shorewall_read_tmp_files',`
 ## </param>
 ## <param name="role">
 ##	<summary>
-##	Role allowed access.
+##	The role to be allowed to manage the syslog domain.
 ##	</summary>
 ## </param>
 ## <rolecap/>
 #
 interface(`shorewall_admin',`
 	gen_require(`
-		type shorewall_t, shorewall_lock_t, shorewall_log_t;
-		type shorewall_exec_t, shorewall_initrc_exec_t, shorewall_var_lib_t;
+		type shorewall_t, shorewall_lock_t;
+		type shorewall_log_t;
+		type shorewall_initrc_exec_t, shorewall_var_lib_t;
 		type shorewall_tmp_t, shorewall_etc_t;
 	')
 
-	allow $1 shorewall_t:process { ptrace signal_perms };
+	allow $1 shorewall_t:process signal_perms;
 	ps_process_pattern($1, shorewall_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 shorewall_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, shorewall_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 shorewall_initrc_exec_t system_r;
 	allow $2 system_r;
 
-	can_exec($1, shorewall_exec_t)
-
 	files_list_etc($1)
 	admin_pattern($1, shorewall_etc_t)
 
Index: serefpolicy-contrib-20140730/shorewall.te
===================================================================
--- serefpolicy-contrib-20140730.orig/shorewall.te
+++ serefpolicy-contrib-20140730/shorewall.te
@@ -34,6 +34,7 @@ logging_log_file(shorewall_log_t)
 
 allow shorewall_t self:capability { dac_override net_admin net_raw setuid setgid sys_nice sys_admin };
 dontaudit shorewall_t self:capability sys_tty_config;
+allow shorewall_t self:process signal_perms;
 allow shorewall_t self:fifo_file rw_fifo_file_perms;
 allow shorewall_t self:netlink_socket create_socket_perms;
 
@@ -44,9 +45,7 @@ manage_files_pattern(shorewall_t, shorew
 files_lock_filetrans(shorewall_t, shorewall_lock_t, file)
 
 manage_dirs_pattern(shorewall_t, shorewall_log_t, shorewall_log_t)
-append_files_pattern(shorewall_t, shorewall_log_t, shorewall_log_t)
-create_files_pattern(shorewall_t, shorewall_log_t, shorewall_log_t)
-setattr_files_pattern(shorewall_t, shorewall_log_t, shorewall_log_t)
+manage_files_pattern(shorewall_t, shorewall_log_t, shorewall_log_t)
 logging_log_filetrans(shorewall_t, shorewall_log_t, { file dir })
 
 manage_dirs_pattern(shorewall_t, shorewall_tmp_t, shorewall_tmp_t)
@@ -57,6 +56,9 @@ exec_files_pattern(shorewall_t, shorewal
 manage_dirs_pattern(shorewall_t, shorewall_var_lib_t, shorewall_var_lib_t)
 manage_files_pattern(shorewall_t, shorewall_var_lib_t, shorewall_var_lib_t)
 files_var_lib_filetrans(shorewall_t, shorewall_var_lib_t, { dir file })
+allow shorewall_t shorewall_var_lib_t:file entrypoint;
+
+allow shorewall_t shorewall_initrc_exec_t:file read_file_perms;
 
 allow shorewall_t shorewall_initrc_exec_t:file read_file_perms;
 
@@ -74,7 +76,6 @@ dev_read_urand(shorewall_t)
 domain_read_all_domains_state(shorewall_t)
 
 files_getattr_kernel_modules(shorewall_t)
-files_read_usr_files(shorewall_t)
 files_search_kernel_modules(shorewall_t)
 
 fs_getattr_all_fs(shorewall_t)
@@ -86,12 +87,11 @@ init_rw_utmp(shorewall_t)
 logging_read_generic_logs(shorewall_t)
 logging_send_syslog_msg(shorewall_t)
 
-miscfiles_read_localization(shorewall_t)
-
 sysnet_domtrans_ifconfig(shorewall_t)
 
-userdom_dontaudit_list_user_home_dirs(shorewall_t)
-userdom_use_user_terminals(shorewall_t)
+userdom_dontaudit_list_admin_dir(shorewall_t)
+userdom_use_inherited_user_ttys(shorewall_t)
+userdom_use_inherited_user_ptys(shorewall_t)
 
 optional_policy(`
 	brctl_domtrans(shorewall_t)
Index: serefpolicy-contrib-20140730/shutdown.if
===================================================================
--- serefpolicy-contrib-20140730.orig/shutdown.if
+++ serefpolicy-contrib-20140730/shutdown.if
@@ -1,30 +1,4 @@
-## <summary>System shutdown command.</summary>
-
-########################################
-## <summary>
-##	Role access for shutdown.
-## </summary>
-## <param name="role">
-##	<summary>
-##	Role allowed access.
-##	</summary>
-## </param>
-## <param name="domain">
-##	<summary>
-##	User domain for the role.
-##	</summary>
-## </param>
-#
-interface(`shutdown_role',`
-	gen_require(`
-		type shutdown_t;
-	')
-
-	shutdown_run($2, $1)
-
-	allow $2 shutdown_t:process { ptrace signal_perms };
-	ps_process_pattern($2, shutdown_t)
-')
+## <summary>System shutdown command</summary>
 
 ########################################
 ## <summary>
@@ -43,13 +17,26 @@ interface(`shutdown_domtrans',`
 
 	corecmd_search_bin($1)
 	domtrans_pattern($1, shutdown_exec_t, shutdown_t)
+
+	init_reboot($1)
+	init_halt($1)
+
+	optional_policy(`
+		systemd_exec_systemctl($1)
+		init_stream_connect($1)
+		systemd_login_reboot($1)
+		systemd_login_halt($1)
+	')
+
+	ifdef(`hide_broken_symptoms', `
+		dontaudit shutdown_t $1:fifo_file rw_inherited_fifo_file_perms;
+	')
 ')
 
 ########################################
 ## <summary>
-##	Execute shutdown in the shutdown
-##	domain, and allow the specified role
-##	the shutdown domain.
+##	Execute shutdown in the shutdown domain, and
+##	allow the specified role the shutdown domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -64,16 +51,62 @@ interface(`shutdown_domtrans',`
 #
 interface(`shutdown_run',`
 	gen_require(`
+		type shutdown_t;
 		attribute_role shutdown_roles;
 	')
 
-	shutdown_domtrans($1)
-	roleattribute $2 shutdown_roles;
+    shutdown_domtrans($1)
+    roleattribute $2 shutdown_roles;
 ')
 
 ########################################
 ## <summary>
-##	Send generic signals to shutdown.
+##	Role access for shutdown
+## </summary>
+## <param name="role">
+##	<summary>
+##	Role allowed access
+##	</summary>
+## </param>
+## <param name="domain">
+##	<summary>
+##	User domain for the role
+##	</summary>
+## </param>
+#
+interface(`shutdown_role',`
+	gen_require(`
+              type shutdown_t;
+	')
+
+    shutdown_run($2, $1)
+
+    allow $2 shutdown_t:process { ptrace signal_perms };
+    ps_process_pattern($2, shutdown_t)
+')
+
+########################################
+## <summary>
+##	Recieve sigchld from shutdown
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access
+##	</summary>
+## </param>
+#
+interface(`shutdown_send_sigchld',`
+	gen_require(`
+              type shutdown_t;
+	')
+
+	allow shutdown_t $1:process signal;
+')
+
+########################################
+## <summary>
+##	Send and receive messages from
+##	shutdown over dbus.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -81,17 +114,19 @@ interface(`shutdown_run',`
 ##	</summary>
 ## </param>
 #
-interface(`shutdown_signal',`
+interface(`shutdown_dbus_chat',`
 	gen_require(`
 		type shutdown_t;
+		class dbus send_msg;
 	')
 
-	allow shutdown_t $1:process signal;
+	allow $1 shutdown_t:dbus send_msg;
+	allow shutdown_t $1:dbus send_msg;
 ')
 
 ########################################
 ## <summary>
-##	Get attributes of shutdown executable files.
+##	Get attributes of shutdown executable.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
Index: serefpolicy-contrib-20140730/shutdown.te
===================================================================
--- serefpolicy-contrib-20140730.orig/shutdown.te
+++ serefpolicy-contrib-20140730/shutdown.te
@@ -44,7 +44,7 @@ files_read_generic_pids(shutdown_t)
 
 mls_file_write_to_clearance(shutdown_t)
 
-term_use_all_terms(shutdown_t)
+term_use_all_inherited_terms(shutdown_t)
 
 auth_use_nsswitch(shutdown_t)
 auth_write_login_records(shutdown_t)
@@ -56,8 +56,6 @@ init_telinit(shutdown_t)
 logging_search_logs(shutdown_t)
 logging_send_audit_msgs(shutdown_t)
 
-miscfiles_read_localization(shutdown_t)
-
 optional_policy(`
 	cron_system_entry(shutdown_t, shutdown_exec_t)
 ')
@@ -68,10 +66,15 @@ optional_policy(`
 ')
 
 optional_policy(`
-	oddjob_dontaudit_rw_fifo_files(shutdown_t)
-	oddjob_sigchld(shutdown_t)
+    oddjob_dontaudit_rw_fifo_file(shutdown_t)
+    oddjob_sigchld(shutdown_t)
+')
+
+optional_policy(`
+	rhev_sigchld_agentd(shutdown_t)
 ')
 
 optional_policy(`
 	xserver_dontaudit_write_log(shutdown_t)
+	xserver_xdm_append_log(shutdown_t)
 ')
Index: serefpolicy-contrib-20140730/slocate.te
===================================================================
--- serefpolicy-contrib-20140730.orig/slocate.te
+++ serefpolicy-contrib-20140730/slocate.te
@@ -1,4 +1,4 @@
-policy_module(slocate, 1.13.0)
+policy_module(slocate, 1.12.2)
 
 #################################
 #
@@ -44,6 +44,7 @@ dev_getattr_all_blk_files(locate_t)
 dev_getattr_all_chr_files(locate_t)
 
 files_list_all(locate_t)
+files_list_isid_type_dirs(locate_t)
 files_dontaudit_read_all_symlinks(locate_t)
 files_getattr_all_files(locate_t)
 files_getattr_all_pipes(locate_t)
@@ -62,7 +63,6 @@ fs_read_noxattr_fs_symlinks(locate_t)
 
 auth_use_nsswitch(locate_t)
 
-miscfiles_read_localization(locate_t)
 
 ifdef(`enable_mls',`
 	files_dontaudit_getattr_all_dirs(locate_t)
@@ -71,3 +71,8 @@ ifdef(`enable_mls',`
 optional_policy(`
 	cron_system_entry(locate_t, locate_exec_t)
 ')
+
+optional_policy(`
+	mock_getattr_lib(locate_t)
+')
+
Index: serefpolicy-contrib-20140730/slpd.if
===================================================================
--- serefpolicy-contrib-20140730.orig/slpd.if
+++ serefpolicy-contrib-20140730/slpd.if
@@ -2,6 +2,43 @@
 
 ########################################
 ## <summary>
+##	Transition to slpd.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`slpd_domtrans',`
+	gen_require(`
+		type slpd_t, slpd_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, slpd_exec_t, slpd_t)
+')
+
+########################################
+## <summary>
+##	Execute slpd server in the slpd domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`slpd_initrc_domtrans',`
+	gen_require(`
+		type slpd_initrc_exec_t;
+	')
+
+	init_labeled_script_domtrans($1, slpd_initrc_exec_t)
+')
+
+########################################
+## <summary>
 ##	All of the rules required to
 ##	administrate an slpd environment.
 ## </summary>
@@ -26,7 +63,7 @@ interface(`slpd_admin',`
 	allow $1 slpd_t:process { ptrace signal_perms };
 	ps_process_pattern($1, slpd_t)
 
-	init_labeled_script_domtrans($1, slpd_initrc_exec_t)
+	slpd_initrc_domtrans($1)
 	domain_system_change_exemption($1)
 	role_transition $2 slpd_initrc_exec_t system_r;
 	allow $2 system_r;
@@ -36,4 +73,10 @@ interface(`slpd_admin',`
 
 	files_search_pids($1)
 	admin_pattern($1, slpd_var_run_t)
+
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+
 ')
Index: serefpolicy-contrib-20140730/slpd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/slpd.te
+++ serefpolicy-contrib-20140730/slpd.te
@@ -23,7 +23,7 @@ files_pid_file(slpd_var_run_t)
 # Local policy
 #
 
-allow slpd_t self:capability { kill setgid setuid };
+allow slpd_t self:capability { kill net_admin setgid setuid };
 allow slpd_t self:process signal;
 allow slpd_t self:fifo_file rw_fifo_file_perms;
 allow slpd_t self:tcp_socket { accept listen };
@@ -35,6 +35,9 @@ logging_log_filetrans(slpd_t, slpd_log_t
 manage_files_pattern(slpd_t, slpd_var_run_t, slpd_var_run_t)
 files_pid_filetrans(slpd_t, slpd_var_run_t, file)
 
+kernel_read_system_state(slpd_t)
+kernel_read_network_state(slpd_t)
+
 corenet_all_recvfrom_unlabeled(slpd_t)
 corenet_all_recvfrom_netlabel(slpd_t)
 corenet_tcp_sendrecv_generic_if(slpd_t)
@@ -50,6 +53,12 @@ corenet_sendrecv_svrloc_server_packets(s
 corenet_tcp_bind_svrloc_port(slpd_t)
 corenet_udp_bind_svrloc_port(slpd_t)
 
+corenet_udp_bind_dhcpc_port(slpd_t)
+
+dev_read_urand(slpd_t)
+
 auth_use_nsswitch(slpd_t)
 
-miscfiles_read_localization(slpd_t)
+logging_send_syslog_msg(slpd_t)
+
+sysnet_dns_name_resolve(slpd_t)
Index: serefpolicy-contrib-20140730/slrnpull.te
===================================================================
--- serefpolicy-contrib-20140730.orig/slrnpull.te
+++ serefpolicy-contrib-20140730/slrnpull.te
@@ -13,7 +13,7 @@ type slrnpull_var_run_t;
 files_pid_file(slrnpull_var_run_t)
 
 type slrnpull_spool_t;
-files_type(slrnpull_spool_t)
+files_spool_file(slrnpull_spool_t)
 
 type slrnpull_log_t;
 logging_log_file(slrnpull_log_t)
@@ -44,7 +44,6 @@ dev_read_sysfs(slrnpull_t)
 
 domain_use_interactive_fds(slrnpull_t)
 
-files_read_etc_files(slrnpull_t)
 files_search_spool(slrnpull_t)
 
 fs_getattr_all_fs(slrnpull_t)
@@ -52,8 +51,6 @@ fs_search_auto_mountpoints(slrnpull_t)
 
 logging_send_syslog_msg(slrnpull_t)
 
-miscfiles_read_localization(slrnpull_t)
-
 userdom_dontaudit_use_unpriv_user_fds(slrnpull_t)
 userdom_dontaudit_search_user_home_dirs(slrnpull_t)
 
Index: serefpolicy-contrib-20140730/smartmon.if
===================================================================
--- serefpolicy-contrib-20140730.orig/smartmon.if
+++ serefpolicy-contrib-20140730/smartmon.if
@@ -42,9 +42,13 @@ interface(`smartmon_admin',`
 		type fsdaemon_var_lib_t, fsdaemon_initrc_exec_t;
 	')
 
-	allow $1 fsdaemon_t:process { ptrace signal_perms };
+	allow $1 fsdaemon_t:process signal_perms;
 	ps_process_pattern($1, fsdaemon_t)
 
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 fsdaemon_t:process ptrace;
+	')
+
 	init_labeled_script_domtrans($1, fsdaemon_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 fsdaemon_initrc_exec_t system_r;
Index: serefpolicy-contrib-20140730/smartmon.te
===================================================================
--- serefpolicy-contrib-20140730.orig/smartmon.te
+++ serefpolicy-contrib-20140730/smartmon.te
@@ -60,21 +60,27 @@ kernel_read_system_state(fsdaemon_t)
 
 corecmd_exec_all_executables(fsdaemon_t)
 
+corenet_all_recvfrom_netlabel(fsdaemon_t)
+corenet_udp_sendrecv_generic_if(fsdaemon_t)
+corenet_udp_sendrecv_generic_node(fsdaemon_t)
+corenet_udp_sendrecv_all_ports(fsdaemon_t)
+
 dev_read_sysfs(fsdaemon_t)
 dev_read_urand(fsdaemon_t)
 
 domain_use_interactive_fds(fsdaemon_t)
 
 files_exec_etc_files(fsdaemon_t)
-files_read_etc_files(fsdaemon_t)
 files_read_etc_runtime_files(fsdaemon_t)
-files_read_usr_files(fsdaemon_t)
 
 fs_getattr_all_fs(fsdaemon_t)
 fs_search_auto_mountpoints(fsdaemon_t)
+fs_read_removable_files(fsdaemon_t)
 
 mls_file_read_all_levels(fsdaemon_t)
 
+storage_create_fixed_disk_dev(fsdaemon_t)
+storage_dev_filetrans_named_fixed_disk(fsdaemon_t)
 storage_raw_read_fixed_disk(fsdaemon_t)
 storage_raw_write_fixed_disk(fsdaemon_t)
 storage_raw_read_removable_device(fsdaemon_t)
@@ -83,7 +89,9 @@ storage_write_scsi_generic(fsdaemon_t)
 
 term_dontaudit_search_ptys(fsdaemon_t)
 
-application_signull(fsdaemon_t)
+domain_signull_all_domains(fsdaemon_t)
+
+auth_read_passwd(fsdaemon_t)
 
 init_read_utmp(fsdaemon_t)
 
@@ -92,12 +100,13 @@ libs_exec_lib_files(fsdaemon_t)
 
 logging_send_syslog_msg(fsdaemon_t)
 
-miscfiles_read_localization(fsdaemon_t)
+seutil_sigchld_newrole(fsdaemon_t)
 
 sysnet_dns_name_resolve(fsdaemon_t)
 
 userdom_dontaudit_use_unpriv_user_fds(fsdaemon_t)
 userdom_dontaudit_search_user_home_dirs(fsdaemon_t)
+userdom_use_user_ptys(fsdaemon_t)
 
 tunable_policy(`smartmon_3ware',`
 	allow fsdaemon_t self:process setfscreate;
@@ -116,9 +125,9 @@ optional_policy(`
 ')
 
 optional_policy(`
-	seutil_sigchld_newrole(fsdaemon_t)
+	udev_read_db(fsdaemon_t)
 ')
 
 optional_policy(`
-	udev_read_db(fsdaemon_t)
+	virt_read_images(fsdaemon_t)
 ')
Index: serefpolicy-contrib-20140730/smokeping.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/smokeping.fc
+++ serefpolicy-contrib-20140730/smokeping.fc
@@ -2,7 +2,7 @@
 
 /usr/sbin/smokeping	--	gen_context(system_u:object_r:smokeping_exec_t,s0)
 
-/usr/share/smokeping/cgi(/.*)?	gen_context(system_u:object_r:httpd_smokeping_cgi_script_exec_t,s0)
+/usr/share/smokeping/cgi(/.*)?	gen_context(system_u:object_r:smokeping_cgi_script_exec_t,s0)
 
 /var/lib/smokeping(/.*)?	gen_context(system_u:object_r:smokeping_var_lib_t,s0)
 
Index: serefpolicy-contrib-20140730/smokeping.if
===================================================================
--- serefpolicy-contrib-20140730.orig/smokeping.if
+++ serefpolicy-contrib-20140730/smokeping.if
@@ -158,8 +158,11 @@ interface(`smokeping_admin',`
 		type smokeping_var_run_t;
 	')
 
-	allow $1 smokeping_t:process { ptrace signal_perms };
+	allow $1 smokeping_t:process signal_perms;
 	ps_process_pattern($1, smokeping_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 smokeping_t:process ptrace;
+	')
 
 	smokeping_initrc_domtrans($1)
 	domain_system_change_exemption($1)
Index: serefpolicy-contrib-20140730/smokeping.te
===================================================================
--- serefpolicy-contrib-20140730.orig/smokeping.te
+++ serefpolicy-contrib-20140730/smokeping.te
@@ -24,6 +24,7 @@ files_type(smokeping_var_lib_t)
 #
 
 dontaudit smokeping_t self:capability { dac_read_search dac_override };
+allow smokeping_t self:process signal_perms;
 allow smokeping_t self:fifo_file rw_fifo_file_perms;
 allow smokeping_t self:unix_stream_socket { accept listen };
 
@@ -39,7 +40,6 @@ corecmd_exec_bin(smokeping_t)
 
 dev_read_urand(smokeping_t)
 
-files_read_usr_files(smokeping_t)
 files_search_tmp(smokeping_t)
 
 auth_use_nsswitch(smokeping_t)
@@ -47,8 +47,6 @@ auth_dontaudit_read_shadow(smokeping_t)
 
 logging_send_syslog_msg(smokeping_t)
 
-miscfiles_read_localization(smokeping_t)
-
 mta_send_mail(smokeping_t)
 
 netutils_domtrans_ping(smokeping_t)
@@ -60,17 +58,20 @@ netutils_domtrans_ping(smokeping_t)
 
 optional_policy(`
 	apache_content_template(smokeping_cgi)
+	apache_content_alias_template(smokeping_cgi, smokeping_cgi)
+
+	manage_dirs_pattern(smokeping_cgi_script_t, smokeping_var_lib_t, smokeping_var_lib_t)
+	manage_files_pattern(smokeping_cgi_script_t, smokeping_var_lib_t, smokeping_var_lib_t)
 
-	manage_dirs_pattern(httpd_smokeping_cgi_script_t, smokeping_var_lib_t, smokeping_var_lib_t)
-	manage_files_pattern(httpd_smokeping_cgi_script_t, smokeping_var_lib_t, smokeping_var_lib_t)
+	getattr_files_pattern(smokeping_cgi_script_t, smokeping_var_run_t, smokeping_var_run_t)
 
-	getattr_files_pattern(httpd_smokeping_cgi_script_t, smokeping_var_run_t, smokeping_var_run_t)
+	files_read_etc_files(smokeping_cgi_script_t)
+	files_search_tmp(smokeping_cgi_script_t)
+	files_search_var_lib(smokeping_cgi_script_t)
 
-	files_read_etc_files(httpd_smokeping_cgi_script_t)
-	files_search_tmp(httpd_smokeping_cgi_script_t)
-	files_search_var_lib(httpd_smokeping_cgi_script_t)
+	auth_read_passwd(smokeping_cgi_script_t)
 
-	sysnet_dns_name_resolve(httpd_smokeping_cgi_script_t)
+	sysnet_dns_name_resolve(smokeping_cgi_script_t)
 
-	netutils_domtrans_ping(httpd_smokeping_cgi_script_t)
+	netutils_domtrans_ping(smokeping_cgi_script_t)
 ')
Index: serefpolicy-contrib-20140730/smoltclient.te
===================================================================
--- serefpolicy-contrib-20140730.orig/smoltclient.te
+++ serefpolicy-contrib-20140730/smoltclient.te
@@ -1,4 +1,4 @@
-policy_module(smoltclient, 1.3.0)
+policy_module(smoltclient, 1.2.0)
 
 ########################################
 #
@@ -51,14 +51,12 @@ fs_list_auto_mountpoints(smoltclient_t)
 
 files_getattr_generic_locks(smoltclient_t)
 files_read_etc_runtime_files(smoltclient_t)
-files_read_usr_files(smoltclient_t)
 
 auth_use_nsswitch(smoltclient_t)
 
 logging_send_syslog_msg(smoltclient_t)
 
 miscfiles_read_hwdata(smoltclient_t)
-miscfiles_read_localization(smoltclient_t)
 
 optional_policy(`
 	abrt_stream_connect(smoltclient_t)
Index: serefpolicy-contrib-20140730/smsd.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/smsd.fc
@@ -0,0 +1,11 @@
+/etc/rc\.d/init\.d/smsd	--	gen_context(system_u:object_r:smsd_initrc_exec_t,s0)
+
+/usr/sbin/smsd		--	gen_context(system_u:object_r:smsd_exec_t,s0)
+
+/var/lib/smstools(/.*)?		gen_context(system_u:object_r:smsd_var_lib_t,s0)
+
+/var/log/smsd(/.*)?		gen_context(system_u:object_r:smsd_log_t,s0)
+
+/var/run/smsd(/.*)?		gen_context(system_u:object_r:smsd_var_run_t,s0)
+
+/var/spool/sms(/.*)?		gen_context(system_u:object_r:smsd_spool_t,s0)
Index: serefpolicy-contrib-20140730/smsd.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/smsd.if
@@ -0,0 +1,240 @@
+## <summary>The SMS Server Tools are made to send and receive short messages through GSM modems. It supports easy file interfaces and it can run external programs for automatic actions.</summary>
+
+########################################
+## <summary>
+##	Execute smsd in the smsd domin.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`smsd_domtrans',`
+	gen_require(`
+		type smsd_t, smsd_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, smsd_exec_t, smsd_t)
+')
+
+########################################
+## <summary>
+##	Execute smsd server in the smsd domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`smsd_initrc_domtrans',`
+	gen_require(`
+		type smsd_initrc_exec_t;
+	')
+
+	init_labeled_script_domtrans($1, smsd_initrc_exec_t)
+')
+
+########################################
+## <summary>
+##	Read smsd's log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`smsd_read_log',`
+	gen_require(`
+		type smsd_log_t;
+	')
+
+	logging_search_logs($1)
+	read_files_pattern($1, smsd_log_t, smsd_log_t)
+')
+
+########################################
+## <summary>
+##	Append to smsd log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`smsd_append_log',`
+	gen_require(`
+		type smsd_log_t;
+	')
+
+	logging_search_logs($1)
+	append_files_pattern($1, smsd_log_t, smsd_log_t)
+')
+
+########################################
+## <summary>
+##	Manage smsd log files
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`smsd_manage_log',`
+	gen_require(`
+		type smsd_log_t;
+	')
+
+	logging_search_logs($1)
+	manage_dirs_pattern($1, smsd_log_t, smsd_log_t)
+	manage_files_pattern($1, smsd_log_t, smsd_log_t)
+	manage_lnk_files_pattern($1, smsd_log_t, smsd_log_t)
+')
+########################################
+## <summary>
+##	Read smsd PID files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`smsd_read_pid_files',`
+	gen_require(`
+		type smsd_var_run_t;
+	')
+
+	files_search_pids($1)
+	read_files_pattern($1, smsd_var_run_t, smsd_var_run_t)
+')
+
+########################################
+## <summary>
+##	Search smsd spool directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`smsd_search_spool',`
+	gen_require(`
+		type smsd_spool_t;
+	')
+
+	allow $1 smsd_spool_t:dir search_dir_perms;
+	files_search_spool($1)
+')
+
+########################################
+## <summary>
+##	Read smsd spool files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`smsd_read_spool_files',`
+	gen_require(`
+		type smsd_spool_t;
+	')
+
+	files_search_spool($1)
+	read_files_pattern($1, smsd_spool_t, smsd_spool_t)
+')
+
+########################################
+## <summary>
+##	Manage smsd spool files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`smsd_manage_spool_files',`
+	gen_require(`
+		type smsd_spool_t;
+	')
+
+	files_search_spool($1)
+	manage_files_pattern($1, smsd_spool_t, smsd_spool_t)
+')
+
+########################################
+## <summary>
+##	Manage smsd spool dirs.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`smsd_manage_spool_dirs',`
+	gen_require(`
+		type smsd_spool_t;
+	')
+
+	files_search_spool($1)
+	manage_dirs_pattern($1, smsd_spool_t, smsd_spool_t)
+')
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an smsd environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <param name="role">
+##	<summary>
+##	Role allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`smsd_admin',`
+	gen_require(`
+		type smsd_t;
+		type smsd_initrc_exec_t;
+		type smsd_log_t;
+		type smsd_var_run_t;
+		type smsd_spool_t;
+	')
+
+	allow $1 smsd_t:process { ptrace signal_perms };
+	ps_process_pattern($1, smsd_t)
+
+	smsd_initrc_domtrans($1)
+	domain_system_change_exemption($1)
+	role_transition $2 smsd_initrc_exec_t system_r;
+	allow $2 system_r;
+
+	logging_search_logs($1)
+	admin_pattern($1, smsd_log_t)
+
+	files_search_pids($1)
+	admin_pattern($1, smsd_var_run_t)
+
+	files_search_spool($1)
+	admin_pattern($1, smsd_spool_t)
+
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/smsd.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/smsd.te
@@ -0,0 +1,73 @@
+policy_module(smsd, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type smsd_t;
+type smsd_exec_t;
+init_daemon_domain(smsd_t, smsd_exec_t)
+
+type smsd_initrc_exec_t;
+init_script_file(smsd_initrc_exec_t)
+
+type smsd_log_t;
+logging_log_file(smsd_log_t)
+
+type smsd_var_lib_t;
+files_type(smsd_var_lib_t)
+
+type smsd_var_run_t;
+files_pid_file(smsd_var_run_t)
+
+type smsd_spool_t;
+files_type(smsd_spool_t)
+
+type smsd_tmp_t;
+files_tmp_file(smsd_tmp_t)
+
+########################################
+#
+# smsd local policy
+#
+
+allow smsd_t self:capability { kill setgid setuid };
+allow smsd_t self:process { fork signal };
+allow smsd_t self:fifo_file rw_fifo_file_perms;
+allow smsd_t self:unix_stream_socket create_stream_socket_perms;
+
+manage_dirs_pattern(smsd_t, smsd_log_t, smsd_log_t)
+manage_files_pattern(smsd_t, smsd_log_t, smsd_log_t)
+manage_lnk_files_pattern(smsd_t, smsd_log_t, smsd_log_t)
+logging_log_filetrans(smsd_t, smsd_log_t, { dir })
+
+manage_dirs_pattern(smsd_t, smsd_var_lib_t, smsd_var_lib_t)
+manage_files_pattern(smsd_t, smsd_var_lib_t, smsd_var_lib_t)
+manage_lnk_files_pattern(smsd_t, smsd_var_lib_t, smsd_var_lib_t)
+
+manage_dirs_pattern(smsd_t, smsd_var_run_t, smsd_var_run_t)
+manage_files_pattern(smsd_t, smsd_var_run_t, smsd_var_run_t)
+manage_lnk_files_pattern(smsd_t, smsd_var_run_t, smsd_var_run_t)
+files_pid_filetrans(smsd_t, smsd_var_run_t, { dir })
+
+manage_dirs_pattern(smsd_t, smsd_spool_t, smsd_spool_t)
+manage_files_pattern(smsd_t, smsd_spool_t, smsd_spool_t)
+manage_lnk_files_pattern(smsd_t, smsd_spool_t, smsd_spool_t)
+files_spool_filetrans(smsd_t, smsd_spool_t, { dir })
+can_exec(smsd_t, smsd_spool_t)
+
+manage_dirs_pattern(smsd_t, smsd_tmp_t, smsd_tmp_t)
+manage_files_pattern(smsd_t, smsd_tmp_t, smsd_tmp_t)
+files_tmp_filetrans(smsd_t, smsd_tmp_t, { file dir })
+
+kernel_read_system_state(smsd_t)
+kernel_read_kernel_sysctls(smsd_t)
+
+corecmd_exec_shell(smsd_t)
+
+auth_use_nsswitch(smsd_t)
+
+logging_send_syslog_msg(smsd_t)
+
+sysnet_dns_name_resolve(smsd_t)
